summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMichał Górny <mgorny@gentoo.org>2020-06-23 07:07:43 +0200
committerMichał Górny <mgorny@gentoo.org>2020-06-23 08:03:48 +0200
commit9bd272833241eb863858038eca6ad03f834edd61 (patch)
tree5e523a8e3808f76d9238a8a0c88ccbc17850afb7
parentdev-python/jsonpatch: Bump to 1.26 (diff)
downloadgentoo-9bd272833241eb863858038eca6ad03f834edd61.tar.gz
gentoo-9bd272833241eb863858038eca6ad03f834edd61.tar.bz2
gentoo-9bd272833241eb863858038eca6ad03f834edd61.zip
dev-python/qtconsole: Bump to 4.7.5
Signed-off-by: Michał Górny <mgorny@gentoo.org>
-rw-r--r--dev-python/qtconsole/Manifest1
-rw-r--r--dev-python/qtconsole/qtconsole-4.7.5.ebuild46
2 files changed, 47 insertions, 0 deletions
diff --git a/dev-python/qtconsole/Manifest b/dev-python/qtconsole/Manifest
index 91f1fb7782e..57aaedf99ba 100644
--- a/dev-python/qtconsole/Manifest
+++ b/dev-python/qtconsole/Manifest
@@ -1,3 +1,4 @@
DIST qtconsole-4.3.1.tar.gz 416931 BLAKE2B ec47c2ae8527d7aee55d6cb8d2ebea39ab1bfd3a268c46306613b67f72c27904db1de52682a47d075d804dad9cd7c124296163b39532936fb1a497ae606b7ffc SHA512 f0f84d95143b4513c3d12af4712c6a5724143bf8c44e7a3fbc06d7a94e665b8d12072dd13eafb09476a3aa829155f4c75eb517ffb2bd6e8bd3c00af3c764e48f
DIST qtconsole-4.6.0.tar.gz 426936 BLAKE2B dfd61258e2e8a0ba74421253f39392e2daa04acfd072361488fc93087e2aa4daa62203e4da501a24db43a79eafe7eaa8528f54edbf7b6bb6d547521cc92b8829 SHA512 196022af0d9ebe9e065bf46c07f90bddb2c314d4f0f778f828e20200b11085150ff3ad3adac944496b778b926a0ccdec7903de27be25b79be7fe3ba867148b0b
DIST qtconsole-4.7.4.tar.gz 424884 BLAKE2B 79380a1619498a28eaf7e741a3408a63b58705fe7c0672108b57c5cd9bb7c35d77569ce59a3cdb8dc21b3e403cc41845a534c55838ecf2e82038677132e90fbb SHA512 4564c0ee15b1feaff235ae35a22bfb719497e5f74416ea0ab471018c4d68e13dd05cc4d0180b69151f81817180d4985589340698067b5a2166764a39147255fa
+DIST qtconsole-4.7.5.tar.gz 424850 BLAKE2B e2d2ba50ce57b13504bdf8ad1ee3374b76abc980f0b74dfe1177c3f066ba24382bc51f8d3db2614a8d74b198ed20f01fac67c288602ae6e31fe90165e63ab9e9 SHA512 ee57ad2de5b840ee4e7f439be08a3c82fd39ef1bf6113b7eda95fa1aabd132c799ff584a2ac7f7e2c89df4bcd9a9409bbaeee108a6bb49e6197d2e3395336ad7
diff --git a/dev-python/qtconsole/qtconsole-4.7.5.ebuild b/dev-python/qtconsole/qtconsole-4.7.5.ebuild
new file mode 100644
index 00000000000..b9aa30d6b72
--- /dev/null
+++ b/dev-python/qtconsole/qtconsole-4.7.5.ebuild
@@ -0,0 +1,46 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python3_{6..9} )
+PYTHON_REQ_USE="threads(+)"
+DISTUTILS_USE_SETUPTOOLS=rdepend
+
+inherit distutils-r1
+
+DESCRIPTION="Qt-based console for Jupyter with support for rich media output"
+HOMEPAGE="http://jupyter.org"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~arm64 ~x86"
+
+RDEPEND="
+ dev-python/ipykernel[${PYTHON_USEDEP}]
+ dev-python/ipython_genutils[${PYTHON_USEDEP}]
+ dev-python/jupyter_core[${PYTHON_USEDEP}]
+ >=dev-python/jupyter_client-4.1.1[${PYTHON_USEDEP}]
+ dev-python/pygments[${PYTHON_USEDEP}]
+ dev-python/traitlets[${PYTHON_USEDEP}]
+ dev-python/QtPy[${PYTHON_USEDEP},svg]
+"
+BDEPEND="
+ test? (
+ dev-python/QtPy[${PYTHON_USEDEP},svg,testlib]
+ )
+"
+# required by removed tests:
+# dev-python/pytest-qt[${PYTHON_USEDEP}]
+PDEPEND="dev-python/ipython[${PYTHON_USEDEP}]"
+
+distutils_enable_sphinx docs/source
+distutils_enable_tests pytest
+
+src_prepare() {
+ # TODO: these tests require virtx; however, running under virtx
+ # causes pytest to segv on exit (even though tests pass)
+ rm qtconsole/tests/test_00_console_widget.py || die
+ distutils-r1_src_prepare
+}